# 32/64bit spec-file
#
%define shortname indi

Summary: Library to control astronomical devices
Name: indilib
Version: 0.8
Release: %mkrel 2
Source0: http://downloads.sourceforge.net/indi/libindi_%version.tar.xz
Patch1: libindi-0.8-libsuffix.patch
Patch2: libindi0_0.6-fix-str-fmt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: LGPLv2+
Group: System/Libraries
Url: http://indi.sourceforge.net/
BuildRequires: zlib-devel libusb-devel
BuildRequires: cfitsio-devel >= 3.090
BuildRequires: libfli-devel
BuildRequires: cmake
BuildRequires: boost-devel
Provides: indi = %version-%release

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname %shortname %major

%package -n %libname
Summary: Librar file for INDI
Group: System/Libraries

%description -n %libname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains library files of indilib.

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %shortname
%package -n %develname
Summary: INDI devellopment files
Group: Development/Libraries
Requires: %libname = %version
Provides: indi-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains files need to build applications using indilib.

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog README* NEWS
%_libdir/*.so
%_libdir/*.a
%_libdir/pkgconfig/libindi.pc
%_includedir/libindi/*.h

#--------------------------------------------------------------------

%prep
%setup -q -n libindi-%version
%patch1 -p1
%patch2 -p0

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build


%changelog
* Thu Jan 17 2013 pinoc <vogtpet at gmail.com> 0.8-2pclos2013
- rebuild

* Fri Sep 09 2011 Texstar <texstar at gmail.com> 0.8-1pclos2011
- 0.8
